package com.learning.datagen;

import com.learning.block.CustomBlocks;
import net.fabricmc.fabric.api.datagen.v1.FabricDataOutput;
import net.fabricmc.fabric.api.datagen.v1.provider.FabricBlockLootTableProvider;
import net.minecraft.registry.RegistryWrapper;
import java.util.concurrent.CompletableFuture;

public class ModLootTableProvider extends FabricBlockLootTableProvider {

    public ModLootTableProvider(FabricDataOutput dataOutput, CompletableFuture<RegistryWrapper.WrapperLookup> registryLookup) {
        super(dataOutput, registryLookup);
    }

    @Override
    public void generate() {
        addDrop(CustomBlocks.TRANSFORM_BLOCK);
        addDrop(CustomBlocks.DAMAGE_BLOCK);
        addDrop(CustomBlocks.DENSITY_GLASS_FENCE_GATE);
        addDrop(CustomBlocks.DENSITY_GLASS_FENCE);
        addDrop(CustomBlocks.DENSITY_GLASS_DOOR, doorDrops(CustomBlocks.DENSITY_GLASS_DOOR));
        addDrop(CustomBlocks.DENSITY_GLASS_STAIRS);
        addDrop(CustomBlocks.DENSITY_GLASS_SLAB, slabDrops(CustomBlocks.DENSITY_GLASS_SLAB));
    }
}
